# Partial Datelist

In Drupal 7 website administrators could determine which portions of a date
or datetime dropdown would be collected from the user: the default was
to collect all parts of a date (year, month, date) or datetime (year, month,
day, hour, minute, second).

The option to hide the dropdown list collecting the day, or month and day for
a date is not available anymore in core when configuring a date or datetime
field.

Sometimes all an administrator needs is to collect the year only, not the
exact date. This module comes in handy in these situations, and provides the
option to hide any of the dropdown lists associated with collecting a date.

This module can only interfere with the `Select list` widget, not the calendar
widget (`Date and time`).

Once the administrator chooses the dropdown as its preferred date collection
strategy, the ability to interactively hide any of the combos collecting parts
of a date are activated in the field widget configuration interface.

The portions of the date picker selected to be hidden will not be displayed in
the associated entity edit interface.

## Table of contents

- Installation
- Configuration
- Maintainer

## Installation

Install as you would normally install a contributed Drupal module. For further
information, see
[Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).

## Configuration

This module does not include a configuration page. It might affect the form
display of date or datetime fields using the 
Recommend reading https://www.drupal.org/docs/contributed-modules/book/overview

## Maintainer

- Marcos Buarque de Hollanda [pwolanin](https://www.drupal.org/u/mabho)
